local fsm = require("ui.fsm")
local logManager = require("ui.logManager")
function Stage_Show_StartCallback(stage, args)
  stage._fsmState:SendEventUI("EVT_DISCOVER_LOCATION", args.text, args.timer)
end
local InitSequenceArgs = {
  ParentGOName = "DummyObjectForLogs",
  InitStages = {}
}
local CreateSequenceStages = function(args)
  local newStages = {
    {
      StageName = "Show",
      Timer = 3 + (args.timer or 0),
      StartCallback = Stage_Show_StartCallback,
      StartCallbackArgs = args
    }
  }
  return newStages
end
return {InitSequenceArgs = InitSequenceArgs, CreateSequenceStages = CreateSequenceStages}
